%define _enable_debug_packages  0   # This may not be strictly necessary
%define debug_package           %{nil}  # ...but this is

Summary: Disk bootstrap and installer for "Old World" Power Macintosh
Name: quik
Version: 2.1
Release: 6.ydl4
Group: System Environment/Base
License: GPL
Packager: Eddie Bindt <eddieb@xs4all.nl>
Source: http://merkel.debian.org/~p2/packages/quik_2.1.orig.tar.gz
Patch0: http://merkel.debian.org/~p2/packages/quik_2.1-6.diff.gz
BuildRoot: /var/tmp/quik-root
BuildPrereq: e2fsprogs-devel
ExclusiveArch: ppc

%description
The quik package provides the functionality necessary for booting a
PPC Linux PowerMac or CHRP system from disk. It includes first and second
stage disk bootstrap and a program for installing the first stage bootstrap
on the root disk.

Quik is especially needed to make the Apple Network Server (aka Shiner) boot
from harddisk.

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
mkdir -p $RPM_BUILD_ROOT/usr/man/man5/
mkdir -p $RPM_BUILD_ROOT/usr/man/man8/
make

%install
make install DESTDIR="$RPM_BUILD_ROOT"
# bootstrap.8 should be provided by ybin ....
rm $RPM_BUILD_ROOT/usr/share/man/man8/bootstrap.8*

# some moving around to make sure quik.conf is in the right place
mkdir -p $RPM_BUILD_ROOT/boot
mkdir -p $RPM_BUILD_ROOT/etc
mv $RPM_BUILD_ROOT/etc/quik.conf $RPM_BUILD_ROOT/boot/quik.conf
cd $RPM_BUILD_ROOT/boot ; ln -s ../boot/quik.conf ../etc/quik.conf 

%post

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config(noreplace) /etc/quik.conf
%config(noreplace) /boot/quik.conf
/sbin/quik
%config /boot/first.b
%config /boot/second.b
/boot/second
/usr/share/man/man5/quik.conf.5*
/usr/share/man/man8/quik.8*
#/usr/man/man8/bootstrap.8 - provided by ybin

%changelog
* Wed Apr 6 2005 Peter De Schrijver (p2) <p2@debian.org>
- Added support for gzipped kernels.

* Tue Feb 15 2005 Peter De Schrijver (p2) <p2@debian.org>
- rebuild for YDL by EB ...
- updated version number to quik (2.1-4) 
- Cleanup source tree
- Fixed wrong calls to qvprintf (closes: #294958)
- Update maintainer field. (closes: #275935)

* Sun May 25 2003 Peter De Schrijver <p2@mind.be>
- updated source to quik_2.0e-11.tar.gz

* Sun May 25 2003 Peter De Schrijver <p2@mind.be>, Eddie Bindt <eddieb@xs4all.nl> and Guillaume Laures <guillaume.laures@free.fr>
- make this thing work on ydl3
- hacked ffs.c inside to avoid problems with e2fsprog-devel
- added support to boot from a DAC960 raid controller

* Sat Apr 28 2001 Dan Burcaw <dburcaw@yellowdoglinux.com>
- removed %post -- this just craps up our installer, plus
  we theoretically "do the right thing" in bootloader.py

* Mon Apr 16 2001 Hollis Blanchard <hollis@yellowdoglinux.com>
- add Requires(post) and fix Group

* Sun Feb 18 2001 Hollis Blanchard <hollis@yellowdoglinux.com>
- made first.b and second.b %config so that they're saved on upgrade.
  (Otherwise they would be deleted and the machine would not boot unless quik
  was re-run.)

* Thu Feb 15 2001 Hollis Blanchard <hollis@yellowdoglinux.com>
- added defattr(-,root,root)
- added glibc 2.2 patch

* Sun Feb 4 2001 Hollis Blanchard <hollis@yellowdoglinux.com>
- added Debian's quikconfig

* Fri Jan 12 2001 Hollis Blanchard <hollis@yellowdoglinux.com>
- taken from Debian potato
- allowed for gzipped man pages
